import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'

// https://vitejs.dev/config/
export default defineConfig({
  plugins: [vue()],
  define: {
    global: 'globalThis',
    'process.env': '{}',
    'process.env.NODE_ENV': '"development"',
    'process.env.PARSE_DISABLE_LIVEQUERY': '"true"',
  },
  optimizeDeps: {
    include: ['parse', 'events'],
    exclude: ['parse/lib/browser/ParseLiveQuery'],
  },
  resolve: {
    alias: {
      events: 'events',
      util: 'util',
      stream: 'stream-browserify',
    },
  },
  build: {
    rollupOptions: {
      external: [],
    },
  },
})
